CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2018 开发者帮助

OLELaunch 属性 (ActiveX)

2024-5-18 16:54| 发布者: admin| 查看: 8| 评论: 0|原作者: admin|来自: AutoCAD

OLELaunch 属性 (ActiveX)

确定在打印 OLE 对象时是否启动父应用程序。

支持的平台:仅限 Windows

签名

VBA:

object.OLELaunch
对象

类型:DatabasePreferences

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:启动 OLE 对象的父应用程序以打印该对象。
  • False:OLE 对象是从 AutoCAD 打印的。

言论

此属性的初始值为 。False

从父应用程序进行绘图可实现更高质量的绘图;但是,绘图的速度会降低。

注意:此属性的值存储在 OLESTARTUP 系统变量中。

例子

VBA:

Sub Example_OLELaunch()
    ' This example reads and modifies the preference value that controls
    ' whether to launch the parent application when plotting OLE objects.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadDatabasePreferences
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.preferences
    
    ' Read and display the original value
    originalValue = ACADPref.OLELaunch
    MsgBox "The OLELaunch preference is set to: " & originalValue

    ' Modify the OLELaunch preference by toggling the value
    ACADPref.OLELaunch = Not (ACADPref.OLELaunch)
    newValue = ACADPref.OLELaunch
    MsgBox "The OLELaunch preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.OLELaunch = originalValue
    MsgBox "The OLELaunch preference was reset back to: " & originalValue
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_OLELaunch()
    ;; This example reads and modifies the preference value that controls
    ;; whether to launch the parent application when plotting OLE objects.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    (setq preferences (vla-get-Preferences doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-OLELaunch preferences))
    (alert (strcat "The OLELaunch preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the OLELaunch preference by toggling the value
    (vla-put-OLELaunch preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-OLELaunch preferences))
    (alert (strcat "The OLELaunch preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-OLELaunch preferences originalValue)
    (alert (strcat "The OLELaunch preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 16:05

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部